searchNodes=[{"doc":"Complex is a library that brings complex number support to Elixir. Each complex number is represented as a %Complex{} struct, that holds the real and imaginary parts. There are functions for the creation and manipulation of complex numbers. This module implements mathematical functions such as add/2 , subtract/2 , divide/2 , and multiply/2 that subtitute the + , - , / and * operators. Operator overloading is provided through Complex.Kernel Examples iex&gt; Complex . new ( 3 , 4 ) % Complex { im : 4.0 , re : 3.0 } iex&gt; Complex . new ( 0 , 1 ) % Complex { im : 1.0 , re : 0.0 }","ref":"Complex.html","title":"Complex","type":"module"},{"doc":"Returns the magnitude (length) of the provided complex number. See also new/2 , phase/1 Examples iex&gt; Complex . abs ( Complex . from_polar ( 1 , :math . pi / 2 ) ) 1.0","ref":"Complex.html#abs/1","title":"Complex.abs/1","type":"function"},{"doc":"Returns the square of the magnitude of the provided complex number. The square of the magnitude is faster to compute---no square roots! See also new/2 , abs/1 Examples iex&gt; Complex . abs_squared ( Complex . from_polar ( 1 , :math . pi / 2 ) ) 1.0 iex&gt; Complex . abs_squared ( Complex . from_polar ( 2 , :math . pi / 2 ) ) 4.0","ref":"Complex.html#abs_squared/1","title":"Complex.abs_squared/1","type":"function"},{"doc":"Returns a new complex that is the inverse cosine (i.e., arccosine) of the provided parameter. See also cos/1 Examples iex&gt; Complex . acos ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.3169578969248164 , re : - 3.141592653589793 }","ref":"Complex.html#acos/1","title":"Complex.acos/1","type":"function"},{"doc":"Returns a new complex that is the inverse hyperbolic cosine (i.e., arccosh) of the provided parameter. See also cosh/1 Examples iex&gt; Complex . acosh ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 3.141592653589793 , re : - 1.3169578969248164 }","ref":"Complex.html#acosh/1","title":"Complex.acosh/1","type":"function"},{"doc":"Returns a new complex that is the inverse cotangent (i.e., arccotangent) of the provided parameter. See also cot/1 Examples iex&gt; Complex . acot ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 9.71445146547012e-17 , re : - 0.46364760900080615 } iex&gt; Complex . cot ( Complex . acot ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 2.9999999999999996 , re : 1.9999999999999993 }","ref":"Complex.html#acot/1","title":"Complex.acot/1","type":"function"},{"doc":"Returns a new complex that is the inverse hyperbolic cotangent (i.e., arccoth) of the provided parameter. See also coth/1 Examples iex&gt; Complex . acoth ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 8.164311994315688e-17 , re : - 0.5493061443340548 } iex&gt; Complex . coth ( Complex . acoth ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 2.999999999999998 , re : 2.000000000000001 }","ref":"Complex.html#acoth/1","title":"Complex.acoth/1","type":"function"},{"doc":"Returns a new complex that is the inverse cosecant (i.e., arccosecant) of the provided parameter. See also sec/1 Examples iex&gt; Complex . acsc ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 0.0 , re : - 0.5235987755982988 } iex&gt; Complex . csc ( Complex . acsc ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 3.0 , re : 1.9999999999999993 }","ref":"Complex.html#acsc/1","title":"Complex.acsc/1","type":"function"},{"doc":"Returns a new complex that is the inverse hyperbolic cosecant (i.e., arccsch) of the provided parameter. See also csch/1 Examples iex&gt; Complex . acsch ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 5.4767869826420256e-17 , re : - 0.48121182505960336 } iex&gt; Complex . csch ( Complex . acsch ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 3.0000000000000018 , re : 1.9999999999999984 }","ref":"Complex.html#acsch/1","title":"Complex.acsch/1","type":"function"},{"doc":"Returns a new complex that is the sum of the provided complex numbers. Also supports a mix of complex and number. See also div/2 , multiply/2 , subtract/2 Examples iex&gt; Complex . add ( Complex . from_polar ( 1 , :math . pi / 2 ) , Complex . from_polar ( 1 , :math . pi / 2 ) ) % Complex { im : 2.0 , re : 1.2246467991473532e-16 } iex&gt; Complex . add ( Complex . new ( 4 , 4 ) , 1 ) % Complex { im : 4.0 , re : 5.0 } iex&gt; Complex . add ( 2 , Complex . new ( 4 , 3 ) ) % Complex { im : 3.0 , re : 6.0 } iex&gt; Complex . add ( 2 , 3 ) 5 iex&gt; Complex . add ( 2.0 , 2 ) 4.0","ref":"Complex.html#add/2","title":"Complex.add/2","type":"function"},{"doc":"Returns a new complex that is the inverse secant (i.e., arcsecant) of the provided parameter. See also sec/1 Examples iex&gt; Complex . asec ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 0.0 , re : 2.0943951023931957 } iex&gt; Complex . sec ( Complex . asec ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 2.9999999999999982 , re : 1.9999999999999987 }","ref":"Complex.html#asec/1","title":"Complex.asec/1","type":"function"},{"doc":"Returns a new complex that is the inverse hyperbolic secant (i.e., arcsech) of the provided parameter. See also sech/1 Examples iex&gt; Complex . asech ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 2.0943951023931953 , re : 0.0 } iex&gt; Complex . sech ( Complex . asech ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 2.999999999999999 , re : 2.0 }","ref":"Complex.html#asech/1","title":"Complex.asech/1","type":"function"},{"doc":"Returns a new complex that is the inverse sine (i.e., arcsine) of the provided parameter. See also sin/1 Examples iex&gt; Complex . asin ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.3169578969248164 , re : - 1.5707963267948966 }","ref":"Complex.html#asin/1","title":"Complex.asin/1","type":"function"},{"doc":"Returns a new complex that is the inverse hyperbolic sine (i.e., arcsinh) of the provided parameter. See also sinh/1 Examples iex&gt; Complex . asinh ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.0953573965284052e-16 , re : - 1.4436354751788099 } iex&gt; Complex . sinh ( Complex . asinh ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 3.0 , re : 2.0000000000000004 }","ref":"Complex.html#asinh/1","title":"Complex.asinh/1","type":"function"},{"doc":"$atan2(b, a)$ returns the phase of the complex number $a + bi$. See also tan/1 , atan/1 Examples iex&gt; phase = Complex . atan2 ( 2 , 2 ) iex&gt; phase == :math . pi ( ) / 4 true iex&gt; phase = Complex . atan2 ( 2 , Complex . new ( 0 ) ) iex&gt; phase == Complex . new ( :math . pi ( ) / 2 , 0 ) true","ref":"Complex.html#atan2/2","title":"Complex.atan2/2","type":"function"},{"doc":"Returns a new complex that is the inverse tangent (i.e., arctangent) of the provided parameter. See also tan/1 , atan2/2 Examples iex&gt; Complex . atan ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 0.0 , re : - 1.1071487177940904 } iex&gt; Complex . tan ( Complex . atan ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 2.9999999999999996 , re : 2.0 }","ref":"Complex.html#atan/1","title":"Complex.atan/1","type":"function"},{"doc":"Returns a new complex that is the inverse hyperbolic tangent (i.e., arctanh) of the provided parameter. See also tanh/1 Examples iex&gt; Complex . atanh ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.5707963267948966 , re : - 0.5493061443340549 } iex&gt; Complex . tanh ( Complex . atanh ( Complex . new ( 2 , 3 ) ) ) % Complex { im : 3.0 , re : 1.9999999999999993 }","ref":"Complex.html#atanh/1","title":"Complex.atanh/1","type":"function"},{"doc":"Returns a new number that is the complex cube root of the provided number. Returns the principal branch of the cube root for complex inputs. See also abs/1 , phase/1 , sqrt/1 Examples iex&gt; Complex . cbrt ( - 8 ) - 2.0 When a negative number is given as a complex input, the output now changes. Instead of still giving a negative number, we now get a number with phase $\\frac{\\pi}{3}$ iex&gt; z = Complex . cbrt ( Complex . new ( - 8 , 0 ) ) % Complex { re : 1.0000000000000002 , im : 1.7320508075688772 } iex&gt; Complex . abs ( z ) 2.0 iex&gt; Complex . phase ( z ) 1.0471975511965976 iex&gt; :math . pi ( ) / 3 1.0471975511965976","ref":"Complex.html#cbrt/1","title":"Complex.cbrt/1","type":"function"},{"doc":"Returns a new complex that is the complex conjugate of the provided complex number. If $z = a + bi$, $conjugate(z) = z^* = a - bi$ See also abs/2 , phase/1 Examples iex&gt; Complex . conjugate ( Complex . new ( 1 , 2 ) ) % Complex { im : - 2.0 , re : 1.0 }","ref":"Complex.html#conjugate/1","title":"Complex.conjugate/1","type":"function"},{"doc":"Returns a new complex that is the cosine of the provided parameter. See also sin/1 , tan/1 Examples iex&gt; Complex . cos ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 2.2271363664699914e-16 , re : - 0.4161468365471424 }","ref":"Complex.html#cos/1","title":"Complex.cos/1","type":"function"},{"doc":"Returns a new complex that is the hyperbolic cosine of the provided parameter. See also sinh/1 , tanh/1 Examples iex&gt; Complex . cosh ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 8.883245978848233e-16 , re : 3.7621956910836314 }","ref":"Complex.html#cosh/1","title":"Complex.cosh/1","type":"function"},{"doc":"Returns a new complex that is the cotangent of the provided parameter. See also sin/1 , cos/1 , tan/1 Examples iex&gt; Complex . cot ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 2.962299212953233e-16 , re : 0.45765755436028577 }","ref":"Complex.html#cot/1","title":"Complex.cot/1","type":"function"},{"doc":"Returns a new complex that is the hyperbolic cotangent of the provided parameter. See also sinh/1 , cosh/1 , tanh/1 Examples iex&gt; Complex . coth ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 1.8619978115303644e-17 , re : - 1.037314720727548 }","ref":"Complex.html#coth/1","title":"Complex.coth/1","type":"function"},{"doc":"Returns a new complex that is the cosecant of the provided parameter. See also sec/1 , sin/1 , cos/1 , tan/1 Examples iex&gt; Complex . csc ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.2327514463765779e-16 , re : - 1.0997501702946164 }","ref":"Complex.html#csc/1","title":"Complex.csc/1","type":"function"},{"doc":"Returns a new complex that is the hyperbolic cosecant of the provided parameter. See also sinh/1 , cosh/1 , tanh/1 Examples iex&gt; Complex . csch ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 7.00520014334671e-17 , re : - 0.2757205647717832 }","ref":"Complex.html#csch/1","title":"Complex.csch/1","type":"function"},{"doc":"Returns a new complex that is the ratio (division) of the provided complex numbers. See also add/2 , multiply/2 , subtract/2 Examples iex&gt; Complex . divide ( Complex . from_polar ( 1 , :math . pi / 2 ) , Complex . from_polar ( 1 , :math . pi / 2 ) ) % Complex { im : 0.0 , re : 1.0 }","ref":"Complex.html#divide/2","title":"Complex.divide/2","type":"function"},{"doc":"Calculates $erf(z)$ of the argument, as defined by: $$erf(z) = \\frac{2}{\\sqrt{\\pi}} \\int_{0}^{z} e^{-t^2}$$ Examples iex&gt; x = Complex . erf ( 0.5 ) iex&gt; Float . round ( x , 5 ) 0.52050 iex&gt; z = Complex . erf ( Complex . new ( - 0.5 ) ) iex&gt; z . im 0.0 iex&gt; Float . round ( z . re , 5 ) - 0.52050 iex&gt; Complex . erf ( Complex . new ( 1 , 1 ) ) ** (ArithmeticError) erf not implemented for non-real numbers","ref":"Complex.html#erf/1","title":"Complex.erf/1","type":"function"},{"doc":"Calculates $erf^-1(z)$ of the argument, as defined by: $$erf(erf^-1(z)) = z$$ Examples iex&gt; Complex . erf_inv ( 0.5204998778130465 ) 0.5000000069276399 iex&gt; Complex . erf_inv ( Complex . new ( - 0.5204998778130465 ) ) % Complex { im : 0.0 , re : - 0.5000000069276399 } iex&gt; Complex . erf_inv ( Complex . new ( 1 , 1 ) ) ** (ArithmeticError) erf_inv not implemented for non-real numbers","ref":"Complex.html#erf_inv/1","title":"Complex.erf_inv/1","type":"function"},{"doc":"Calculates $erfc(z)$ of the argument, as defined by: $$erfc(z) = 1 - erf(z)$$ Examples iex&gt; x = Complex . erfc ( 0.5 ) iex&gt; Float . round ( x , 5 ) 0.47950 iex&gt; z = Complex . erfc ( Complex . new ( - 0.5 ) ) iex&gt; z . im 0.0 iex&gt; Float . round ( z . re , 5 ) 1.52050 iex&gt; Complex . erfc ( Complex . new ( 1 , 1 ) ) ** (ArithmeticError) erfc not implemented for non-real numbers","ref":"Complex.html#erfc/1","title":"Complex.erfc/1","type":"function"},{"doc":"Returns a new complex that is the complex exponential of the provided complex number: $exp(z) = e^z$. See also log/1 Examples iex&gt; Complex . exp ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 3.3147584285483636e-17 , re : 0.1353352832366127 }","ref":"Complex.html#exp/1","title":"Complex.exp/1","type":"function"},{"doc":"Turns a representation in polar coordinates $r\\phase\\phi$, into the complex number $z = r.cos(\\phi) + r.sin(\\phi) i$ See also new/2 Examples iex&gt; Complex . from_polar ( 1 , :math . pi / 2 ) % Complex { im : 1.0 , re : 6.123233995736766e-17 } iex&gt; polar = Complex . to_polar ( % Complex { re : 6 , im : 20 } ) iex&gt; Complex . from_polar ( polar ) % Complex { im : 20.0 , re : 6.0 }","ref":"Complex.html#from_polar/1","title":"Complex.from_polar/1","type":"function"},{"doc":"","ref":"Complex.html#from_polar/2","title":"Complex.from_polar/2","type":"function"},{"doc":"Returns the imaginary part of the provided complex number. If a real number is provided, 0 is returned. See also real/1 Examples iex&gt; Complex . imag ( Complex . new ( 1 , 2 ) ) 2.0 iex&gt; Complex . imag ( 1 ) 0","ref":"Complex.html#imag/1","title":"Complex.imag/1","type":"function"},{"doc":"","ref":"Complex.html#ln/1","title":"Complex.ln/1","type":"function"},{"doc":"Returns a new complex that is the complex log base 2 of the provided complex number. See also log/1 , log10/1 Examples iex&gt; Complex . log2 ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 4.532360141827194 , re : 1.0 }","ref":"Complex.html#log2/1","title":"Complex.log2/1","type":"function"},{"doc":"Returns a new complex that is the complex log base 10 of the provided complex number. See also log/1 Examples iex&gt; Complex . log10 ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.3643763538418412 , re : 0.30102999566398114 }","ref":"Complex.html#log10/1","title":"Complex.log10/1","type":"function"},{"doc":"Returns a new complex that is the complex natural log of the provided complex number, $log(z) = log_e(z)$. See also exp/1 Examples iex&gt; Complex . log ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 3.141592653589793 , re : 0.6931471805599453 }","ref":"Complex.html#log/1","title":"Complex.log/1","type":"function"},{"doc":"Returns a new complex that is the product of the provided complex numbers. Also supports a mix of complex and number. See also add/2 , div/2 , subtract/2 Examples iex&gt; Complex . multiply ( Complex . new ( 1 , 2 ) , Complex . new ( 3 , 4 ) ) % Complex { im : 10.0 , re : - 5.0 } iex&gt; Complex . multiply ( Complex . new ( 0 , 1 ) , Complex . new ( 0 , 1 ) ) % Complex { im : 0.0 , re : - 1.0 } iex&gt; Complex . multiply ( Complex . new ( 1 , 2 ) , 3 ) % Complex { im : 6.0 , re : 3.0 } iex&gt; Complex . multiply ( 3 , Complex . new ( 1 , 2 ) ) % Complex { im : 6.0 , re : 3.0 } iex&gt; Complex . multiply ( - 2 , Complex . new ( :infinity , :neg_infinity ) ) % Complex { im : :infinity , re : :neg_infinity }","ref":"Complex.html#multiply/2","title":"Complex.multiply/2","type":"function"},{"doc":"Returns a new complex that is the &quot;negation&quot; of the provided parameter. That is, the real and imaginary parts are negated. See also new/2 Examples iex&gt; Complex . negate ( Complex . new ( 3 , 5 ) ) % Complex { im : - 5.0 , re : - 3.0 }","ref":"Complex.html#negate/1","title":"Complex.negate/1","type":"function"},{"doc":"Returns a new complex with specified real and imaginary components. The imaginary part defaults to zero so a real number can be created with new/1 . See also from_polar/2 Examples iex&gt; Complex . new ( 3 , 4 ) % Complex { im : 4.0 , re : 3.0 } iex&gt; Complex . new ( 2 ) % Complex { im : 0.0 , re : 2.0 } iex&gt; Complex . new ( :infinity ) % Complex { im : 0.0 , re : :infinity } iex&gt; Complex . new ( :nan , :neg_infinity ) % Complex { im : :neg_infinity , re : :nan }","ref":"Complex.html#new/2","title":"Complex.new/2","type":"function"},{"doc":"Parses a complex number from a string. The values of the real and imaginary parts must be represented by a float, including decimal and at least one trailing digit (e.g. 1.2, 0.4). See also new/2 Examples iex&gt; Complex . parse ( &quot;1.1+2.2i&quot; ) { % Complex { im : 2.2 , re : 1.1 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;1+2i&quot; ) { % Complex { im : 2.0 , re : 1.0 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;2-3i&quot; ) { % Complex { im : - 3.0 , re : 2.0 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;-1.0-3.i&quot; ) { % Complex { im : - 3.0 , re : - 1.0 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;-1.0+3.i 2.2+3.3i&quot; ) { % Complex { im : 3.0 , re : - 1.0 } , &quot; 2.2+3.3i&quot; } iex&gt; Complex . parse ( &quot;1e-4-3e-3i&quot; ) { % Complex { im : - 3.0e-3 , re : 1.0e-4 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;2i&quot; ) { % Complex { im : 2.0 , re : 0.0 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;-3.0i&quot; ) { % Complex { im : - 3.0 , re : 0.0 } , &quot;&quot; } iex&gt; Complex . parse ( &quot;NaN+Infi&quot; ) { % Complex { im : :infinity , re : :nan } , &quot;&quot; } iex&gt; Complex . parse ( &quot;-Inf+NaNi&quot; ) { % Complex { im : :nan , re : :neg_infinity } , &quot;&quot; } iex&gt; Complex . parse ( &quot;Inf-NaNi&quot; ) { % Complex { im : :nan , re : :infinity } , &quot;&quot; } iex&gt; Complex . parse ( &quot;Inf&quot; ) { % Complex { im : 0.0 , re : :infinity } , &quot;&quot; }","ref":"Complex.html#parse/1","title":"Complex.parse/1","type":"function"},{"doc":"Returns the phase angle of the supplied complex, in radians. See also new/2 , from_polar/2 Examples iex&gt; Complex . phase ( Complex . from_polar ( 1 , :math . pi / 2 ) ) 1.5707963267948966","ref":"Complex.html#phase/1","title":"Complex.phase/1","type":"function"},{"doc":"Returns a new complex that is the provided parameter a raised to the complex power b. See also log/1 , log10/1 Examples iex&gt; Complex . pow ( Complex . from_polar ( 2 , :math . pi ) , Complex . new ( 0 , 1 ) ) % Complex { im : 0.027612020368333014 , re : 0.03324182700885666 }","ref":"Complex.html#pow/2","title":"Complex.pow/2","type":"function"},{"doc":"","ref":"Complex.html#power/2","title":"Complex.power/2","type":"function"},{"doc":"Returns the real part of the provided complex number. See also imag/1 Examples iex&gt; Complex . real ( Complex . new ( 1 , 2 ) ) 1.0 iex&gt; Complex . real ( 1 ) 1","ref":"Complex.html#real/1","title":"Complex.real/1","type":"function"},{"doc":"Returns a new complex that is the secant of the provided parameter. See also sin/1 , cos/1 , tan/1 Examples iex&gt; Complex . sec ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 1.2860374461837126e-15 , re : - 2.402997961722381 }","ref":"Complex.html#sec/1","title":"Complex.sec/1","type":"function"},{"doc":"Returns a new complex that is the hyperbolic secant of the provided parameter. See also sinh/1 , cosh/1 , tanh/1 Examples iex&gt; Complex . sech ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 6.27608655779184e-17 , re : 0.26580222883407967 }","ref":"Complex.html#sech/1","title":"Complex.sech/1","type":"function"},{"doc":"Returns a new complex that is the sine of the provided parameter. See also cos/1 , tan/1 Examples iex&gt; Complex . sin ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : - 1.0192657827055095e-16 , re : - 0.9092974268256817 }","ref":"Complex.html#sin/1","title":"Complex.sin/1","type":"function"},{"doc":"Returns a new complex that is the hyperbolic sine of the provided parameter. See also cosh/1 , tanh/1 Examples iex&gt; Complex . sinh ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 9.214721821703068e-16 , re : - 3.626860407847019 }","ref":"Complex.html#sinh/1","title":"Complex.sinh/1","type":"function"},{"doc":"Returns a new complex that is the complex square root of the provided complex number. See also abs/1 , cbrt/1 , phase/1 Examples iex&gt; Complex . sqrt ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.4142135623730951 , re : 8.659560562354933e-17 }","ref":"Complex.html#sqrt/1","title":"Complex.sqrt/1","type":"function"},{"doc":"Returns a new complex that is the square of the provided complex number. See also multiply/2 Examples iex&gt; Complex . square ( Complex . new ( 2.0 , 0.0 ) ) % Complex { im : 0.0 , re : 4.0 } iex&gt; Complex . square ( Complex . new ( 0 , 1 ) ) % Complex { im : 0.0 , re : - 1.0 }","ref":"Complex.html#square/1","title":"Complex.square/1","type":"function"},{"doc":"Returns a new complex that is the difference of the provided complex numbers. Also supports a mix of complex and number. See also add/2 , div/2 , multiply/2 Examples iex&gt; Complex . subtract ( Complex . new ( 1 , 2 ) , Complex . new ( 3 , 4 ) ) % Complex { im : - 2.0 , re : - 2.0 } iex&gt; Complex . subtract ( Complex . new ( 1 , 2 ) , 3 ) % Complex { im : 2.0 , re : - 2.0 } iex&gt; Complex . subtract ( 10 , Complex . new ( 1 , 2 ) ) % Complex { im : - 2.0 , re : 9.0 }","ref":"Complex.html#subtract/2","title":"Complex.subtract/2","type":"function"},{"doc":"Returns a new complex that is the tangent of the provided parameter. See also sin/1 , cos/1 Examples iex&gt; Complex . tan ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.4143199004457915e-15 , re : 2.185039863261519 }","ref":"Complex.html#tan/1","title":"Complex.tan/1","type":"function"},{"doc":"Returns a new complex that is the hyperbolic tangent of the provided parameter. See also sinh/1 , cosh/1 Examples iex&gt; Complex . tanh ( Complex . from_polar ( 2 , :math . pi ) ) % Complex { im : 1.7304461302709575e-17 , re : - 0.9640275800758169 }","ref":"Complex.html#tanh/1","title":"Complex.tanh/1","type":"function"},{"doc":"Returns the polar coordinates of the supplied complex. That is, the returned tuple {r,phi} is the magnitude and phase (in radians) of z. See also from_polar/2 Examples iex&gt; Complex . to_polar ( Complex . from_polar ( 1 , :math . pi / 2 ) ) { 1.0 , 1.5707963267948966 }","ref":"Complex.html#to_polar/1","title":"Complex.to_polar/1","type":"function"},{"doc":"Conveniency function that is used to implement the String.Chars and Inspect protocols.","ref":"Complex.html#to_string/1","title":"Complex.to_string/1","type":"function"},{"doc":"","ref":"Complex.html#t:non_finite_number/0","title":"Complex.non_finite_number/0","type":"type"},{"doc":"A complex number represented as a %Complex{} struct.","ref":"Complex.html#t:t/0","title":"Complex.t/0","type":"type"},{"doc":"Provides operator overloading for Elixir operators. When you use Complex.Kernel , be aware that the arithmetic operators won't work in clause guards. For that you need to use the fully qualified functions (i.e.: when Kernel.+(a, b) == 1 ) instead.","ref":"Complex.Kernel.html","title":"Complex.Kernel","type":"module"},{"doc":"","ref":"Complex.Kernel.html#**/2","title":"Complex.Kernel.**/2","type":"function"},{"doc":"","ref":"Complex.Kernel.html#*/2","title":"Complex.Kernel.*/2","type":"function"},{"doc":"","ref":"Complex.Kernel.html#+/2","title":"Complex.Kernel.+/2","type":"function"},{"doc":"","ref":"Complex.Kernel.html#-/2","title":"Complex.Kernel.-/2","type":"function"},{"doc":"","ref":"Complex.Kernel.html#//2","title":"Complex.Kernel.//2","type":"function"}]